비주얼 스튜디오 코드에 PlatformIO IDE 설치하기 1일차

VSCode는 엄청 가벼우면서도 간단하지만 없는 게 없는, 그런 편집기입니다.

플러그인만 잘 깔면 세상에서 제일 똑똑한 IDE가 되죠.

아두이노 IDE를 사용하다가(아두이노 IDE 2.0은 훨씬 나아졌어요) 환경을 통합해보려고 뒤지던 중 플랫폼IO라는 것을 발견하게 됩니다.

그냥 확장 스토어에서 검색해서 깔았습니다.

PlatformIO IDE | Professional development environment for Embedded

Code답게 군말 없이 깔끔하게 설치됩니다.

PlatformIO: Can not find working Python 2.7 or 3.5+ Interpreter.

?? 파이썬은 이미 Code에 설치되어 있고 심지어 파이썬 코딩중에도 파이썬 인터프리터의 위치를 묻네요..

아무래도 수동으로 파이썬 인터프리터의 위치를 잡아줘야 할 것 같습니다.

수동으로 잡았습니다

TypeError [ERR_INVALID_ARG_TYPE]: The “path” argument must be of type string. Received undefined at validateString

안됩니다.

다른 버전의 Python을 설치하고 다시 시도합니다.

TypeError [ERR_INVALID_ARG_TYPE]: The “path” argument must be of type string. Received undefined at validateString

안됩니다. 그냥 엔터가 안 눌러집니다.

image

스토어에서 깐 파이썬은 입력 조차 안됩니다.

경로가 올바르지 않다네요

대체 어디가 문제지…

공식 홈페이지에서 깐 파이썬도 안됩니다.

등록은 되는데 저러고 안 넘어갑니다..

일단 오늘은 여기서 포기하도록 하죠..

PlatformIO.. 말은 거창하게 해놨지만 설치하기부터 난이도가 매우 높은 확장입니다..

댓글 달기

이메일 주소는 공개되지 않습니다. 필수 항목은 *(으)로 표시합니다